#!/usr/bin/env node

/**
 * Example client
 */
'use strict'

const co = require('co')
const apemanApiClient = require('apeman-api-client')

co(function * () {
  // Setup an client
  let api = yield apemanApiClient('/api')

  // Connect to a module
  let module01 = yield api.connect('module01')
  let pong = yield module01.ping()
  /* ... */

  // Get server OS information
  let { hostname, platform, arch } = yield api.os()
  console.log('Server info:', { hostname, platform, arch })
})

